package net.sf.sido.common;

/**
 * Defines an object that can be quickly identified as being identical to another object.
 */
public interface Identifiable {

    /**
     * Checks if this object can be identified as <code>o</code>. The two objects
     * are not necessarily {@linkplain Object#equals(Object) equal} to each other.
     *
     * @param o Object to check the identity against
     * @return Result of the test
     */
    boolean isSameAs(Object o);

}
